package com.backendsys.mapper.B2c;

import com.backendsys.entity.B2c.B2cGoodSpecSkuDTO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface B2cGoodSpecSkuMapper {
    List<Map<String, Object>> queryGoodSpecSkuList(B2cGoodSpecSkuDTO b2cGoodSpecSkuDTO);
    List<Map<String, Object>> queryGoodSpecSkuBatch(Long[] sku_ids);
    Map<String, Object> queryGoodSpecSkuDetail(Long good_id);
    long insertGoodSpecSku(B2cGoodSpecSkuDTO b2cGoodSpecSkuDTO);
    long deleteGoodSpecSku(B2cGoodSpecSkuDTO b2cGoodSpecSkuDTO);
    long updateGoodSpecSku(B2cGoodSpecSkuDTO b2cGoodSpecSkuDTO);
}
